package cz.moneta.test.dsl.mwf;

import cz.moneta.test.harness.support.mwf.Parameter;
import cz.moneta.test.harness.support.mwf.MwfRequest;

public interface MWFL40 extends MwfRequest<MWFL40, MWFL40Response> {

    @Parameter(name = "BankaKod")
    MWFL40 bankaKod(String bankaKod);
    @Parameter(name = "CIF")
    MWFL40 cif(String cif);
    @Parameter(name = "CisloUctu")
    MWFL40 cisloUctu(String cisloUctu);
    @Parameter(name = "CostCentrum")
    MWFL40 costCentrum(String costCentrum);
    @Parameter(name = "DatumDo")
    MWFL40 datumDo(java.util.Date datumDo);
    @Parameter(name = "DatumOd")
    MWFL40 datumOd(java.util.Date datumOd);
    @Parameter(name = "FrekvenceOpakovani")
    MWFL40 frekvenceOpakovani(String frekvenceOpakovani);
    @Parameter(name = "HodnotaOpakovani")
    MWFL40 hodnotaOpakovani(Long hodnotaOpakovani);
    @Parameter(name = "IDObjednavkyRPT")
    MWFL40 iDObjednavkyRPT(Long iDObjednavkyRPT);
    @Parameter(name = "ISIN")
    MWFL40 isin(String isin);
    @Parameter(name = "ISIN2")
    MWFL40 isin2(String isin2);
    @Parameter(name = "KlientIDDisponent")
    MWFL40 klientIDDisponent(Long klientIDDisponent);
    @Parameter(name = "KonstantniSymbol")
    MWFL40 konstantniSymbol(String konstantniSymbol);
    @Parameter(name = "Mena")
    MWFL40 mena(String mena);
    @Parameter(name = "MenaUctu")
    MWFL40 menaUctu(String menaUctu);
    @Parameter(name = "ObchodniDatum")
    MWFL40 obchodniDatum(java.util.Date obchodniDatum);
    @Parameter(name = "Objem")
    MWFL40 objem(Double objem);
    @Parameter(name = "Pobocka")
    MWFL40 pobocka(String pobocka);
    @Parameter(name = "PobockaVyplaty")
    MWFL40 pobockaVyplaty(String pobockaVyplaty);
    @Parameter(name = "PocetKS")
    MWFL40 pocetKS(Double pocetKS);
    @Parameter(name = "SpecifickySymbol")
    MWFL40 specifickySymbol(String specifickySymbol);
    @Parameter(name = "TypObchodu")
    MWFL40 typObchodu(String typObchodu);
    @Parameter(name = "TypSmlouvy")
    MWFL40 typSmlouvy(String typSmlouvy);
    @Parameter(name = "VariabilniSymbol")
    MWFL40 variabilniSymbol(String variabilniSymbol);
    @Parameter(name = "VlozeniDatum")
    MWFL40 vlozeniDatum(java.util.Date vlozeniDatum);
    @Parameter(name = "Vyplata")
    MWFL40 vyplata(String vyplata);
}
